commit: 81c31d447a50b4f5ccebe09a76e601513b9e90c0
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 18 07:24:16 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec 18 07:27:27 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81c31d44
dev-python/pytest-regressions: Bump to 2.6.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-regressions/Manifest | 1 +
.../pytest-regressions-2.6.0.ebuild | 61 ++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/dev-python/pytest-regressions/Manifest
b/dev-python/pytest-regressions/Manifest
index 48301dffe964..5cdc35a5f4f9 100644
--- a/dev-python/pytest-regressions/Manifest
+++ b/dev-python/pytest-regressions/Manifest
@@ -1 +1,2 @@
DIST pytest-regressions-2.5.0.tar.gz 113615 BLAKE2B
3364893a9cd96a44611d023c08fe5e319ceaad5a6a9b210b72095a560c42742c871406de1290821ea5cd61960bf5bef72d08bd143db93b20f288d5367cf1ae70
SHA512
2d23568b8d5dbc86000c9b552c72a1e269fafe79e0b829f799fe31ecc142e74d233c69940a51d2da457c6f7b3713fcd788461b0420eca9d56cc395568c517c0f
+DIST pytest_regressions-2.6.0.tar.gz 116150 BLAKE2B
c6a5cfec055ef5a2ed0e615aff5211083633a542d08f48af6fdfd453c9a9c2992bb47e0d8a634ded1d1a753ae362dcf3a84db26f07a3d169635b286ea6af8760
SHA512
57248a851179c0f0cb840618cc529289b80d94a537b9e49f4a322405c92f8fd0baadb67472a577fe5fad2d3c22e44339663e86b1005cc831bb26e4b380d51fb1
diff --git a/dev-python/pytest-regressions/pytest-regressions-2.6.0.ebuild
b/dev-python/pytest-regressions/pytest-regressions-2.6.0.ebuild
new file mode 100644
index 000000000000..78519bbe3a8a
--- /dev/null
+++ b/dev-python/pytest-regressions/pytest-regressions-2.6.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Easy to use fixtures to write regression tests"
+HOMEPAGE="
+ https://github.com/ESSS/pytest-regressions/
+ https://pypi.org/project/pytest-regressions/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-datadir[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/sphinx-rtd-theme
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ local EPYTEST_IGNORE=()
+ if ! has_version "dev-python/matplotlib[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_image_regression.py::test_image_regression
+ )
+ fi
+ if ! has_version "dev-python/numpy[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/test_ndarrays_regression.py
+ )
+ fi
+ if ! has_version "dev-python/pandas[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_filenames.py::test_foo
+ tests/test_filenames.py::TestClass::test_foo
+
tests/test_filenames.py::TestClassWithIgnoredName::test_foo
+ )
+ EPYTEST_IGNORE+=(
+ tests/test_dataframe_regression.py
+ tests/test_num_regression.py
+ )
+ fi
+ if ! has_version "dev-python/pillow[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_image_regression.py
+ )
+ fi
+
+ epytest
+}